Project

General

Profile

Bug #39091

Fatal Error Message when trying to Install tiny tiny rss plug in

Added by Bonnie Follweiler over 2 years ago. Updated over 2 years ago.

Status:
Closed
Priority:
No priority
Assignee:
Martin Wilke
Category:
OS
Target version:
Severity:
Medium
Reason for Closing:
Duplicate Issue
Reason for Blocked:
Needs QA:
Yes
Needs Doc:
Yes
Needs Merging:
Yes
Needs Automation:
No
Support Suite Ticket:
n/a
Hardware Configuration:
ChangeLog Required:
No

Description

I am on

While attempting to install tiny tiny rss Plug in I get an Error pop up screen and in the upper left corner of the screen it says "fatal error! check logs" (screenshot provided)

This is the Error Message:
An error occured! Please read above

More info...
Error: concurrent.futures.process._RemoteTraceback:
"""
Traceback (most recent call last):
File "/usr/local/lib/python3.6/concurrent/futures/process.py", line 175, in process_worker
r = call_item.fn(call_item.args, **call_item.kwargs)
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 122, in main_worker
res = loop.run_until_complete(coro)
File "/usr/local/lib/python3.6/asyncio/base_events.py", line 468, in run_until_complete
return future.result()
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 82, in _run
return await self._call(f'{service_name}.{method}', serviceobj, methodobj, params=args, job=job)
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 75, in _call
return methodobj(*params)
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 75, in _call
return methodobj(*params)
File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 662, in nf
return f(*args, **kwargs)
File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py", line 238, in fetch
iocage.fetch(
*options)
File "/usr/local/lib/python3.6/site-packages/iocage/lib/iocage.py", line 909, in fetch
props, accept_license=accept, official=official)
File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_plugin.py", line 690, in fetch_plugin_index
props, 0, accept_license)
File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_plugin.py", line 128, in fetch_plugin
self.
_fetch_plugin_post_install__(conf, _conf, jaildir, jail_name)
File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_plugin.py", line 549, in fetch_plugin_post_install
exit_on_error=self.exit_on_error)
File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_common.py", line 83, in logit
_callback({"level": level, "message": msg}, exit_on_error)
File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_common.py", line 62, in callback
raise RuntimeError(message)
RuntimeError: An error occured! Please read above
"""

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "/usr/local/lib/python3.6/site-packages/middlewared/job.py", line 332, in run
await self.future
File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
return self.gen.throw(type, value, traceback)
File "/usr/local/lib/python3.6/site-packages/middlewared/job.py", line 356, in _run_body
rv = await self.middleware._call_worker(self.serviceobj, self.method_name, *self.args, job={'id': self.id})
File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
return self.gen.throw(type, value, traceback)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 977, in _call_worker
job,
File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
return self.gen.throw(type, value, traceback)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 908, in run_in_proc
return await self.run_in_executor(self.
_procpool, method, *args, **kwargs)
File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
return self.gen.throw(type, value, traceback)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 902, in run_in_executor
return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
RuntimeError: An error occured! Please read above

In the "Installed Plugins screen it looks like it has been installed and that it is on (screenshot provided)


Related issues

Is duplicate of FreeNAS - Feature #24811: Make Plug-in for tiny tiny rrs readerClosed

History

#1 Updated by William Grzybowski over 2 years ago

  • Assignee changed from William Grzybowski to Brandon Schneider
  • Target version changed from Backlog to 11.2-BETA3
  • Severity changed from New to Medium

#3 Updated by Brandon Schneider over 2 years ago

  • Status changed from Unscreened to Not Started

#4 Updated by Brandon Schneider over 2 years ago

  • Assignee changed from Brandon Schneider to Martin Wilke

From your logs this looks like it's dying in the post_install, which iocage doesn't handle. Martin supports plugins, passing to him.

#5 Updated by Dru Lavigne over 2 years ago

  • Category changed from Middleware to OS

#6 Updated by Dru Lavigne over 2 years ago

  • Is duplicate of Feature #24811: Make Plug-in for tiny tiny rrs reader added

#7 Updated by Dru Lavigne over 2 years ago

  • Status changed from Not Started to Closed
  • Target version changed from 11.2-BETA3 to N/A
  • Reason for Closing set to Duplicate Issue

Also available in: Atom PDF